Get a dashboard visual-reading result
curl --request GET \
--url https://api.astrom8.com/v1/visual-readings/jobs/{id}/result \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.astrom8.com/v1/visual-readings/jobs/{id}/result"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.astrom8.com/v1/visual-readings/jobs/{id}/result', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"job_id": "<string>",
"family": "<unknown>",
"observations": {
"observations": [
{
"key": "<unknown>",
"visible": "<unknown>",
"confidence": 0.5
}
],
"limitations": []
},
"quality": {
"coverage": 0.5,
"observed_signals": [
"<string>"
],
"omitted_signals": [
"<string>"
],
"limitation_codes": []
},
"provenance": {
"provider": "<string>",
"model": "<string>",
"method_version": "<string>",
"observation_schema_version": "<string>",
"prompt_version": "<string>",
"rule_set_version": "<string>",
"narrative_version": "<string>",
"renderer_version": "<string>"
},
"rule_hits": [
{
"id": "<string>",
"observation_key": "<string>",
"observation_value": "<string>",
"source_locator": "<string>",
"dimension_keys": [
"<string>"
],
"evidence_weight": 0.5
}
],
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"score": 50,
"evidence_count": 1
}
],
"reading": {
"rule_set_version": "<string>",
"family": "<unknown>",
"reading_notice": "<string>",
"cards": [
{
"signal": "<string>",
"observation": "<string>",
"confidence": 0.5,
"framing": "<string>"
}
],
"rule_hits": [
{
"id": "<string>",
"observation_key": "<string>",
"observation_value": "<string>",
"source_locator": "<string>",
"dimension_keys": [
"<string>"
],
"evidence_weight": 0.5
}
],
"dimensions": [
{
"key": "<string>",
"label": "<string>",
"score": 50,
"evidence_count": 1
}
],
"limitations": [
"<string>"
]
},
"narrative": {
"narrative_version": "<string>",
"grounded_rule_ids": [
"<string>"
],
"paragraphs": [
"<string>"
]
}
}{
"error": "unauthorized",
"message": "Invalid API key",
"code": "401",
"request_id": "01HQXYZ..."
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}{
"error": "<string>",
"message": "<string>",
"code": "<string>",
"request_id": "<string>"
}Customer visual readings
Get a dashboard visual-reading result
GET
/
v1
/
visual-readings
/
jobs
/
{id}
/
result
Get a dashboard visual-reading result
Authorizations
Customer session token returned by /auth/login. This is distinct from an API key.
Path Parameters
Visual-reading job id.
Pattern:
^vrj_[a-f0-9]{24}$Response
Source-grounded Face or Palm result.
- Option 1
- Option 2
Canonical source-grounded visual reading. Dimension scores measure evidence coverage only.
Visual-reading job id.
Pattern:
^vrj_[a-f0-9]{24}$Available options:
th, en Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I